Bug 711481 - Python binding regex fails to account for colon
Summary: Python binding regex fails to account for colon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-07 15:27 UTC by Matt Rogers
Modified: 2018-11-14 12:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The netsnmp python module did not properly parse OID names which included name of MIBs 'like IF-MIB::ifTable'. In this update, regular expression for parsing OID names is fixed and the python module can properly parse names with names of MIBs.
Clone Of:
Environment:
Last Closed: 2011-12-06 17:12:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
client.py patch (551 bytes, patch)
2011-06-07 15:27 UTC, Matt Rogers
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1524 0 normal SHIPPED_LIVE net-snmp bug fix update 2011-12-06 01:02:35 UTC

Description Matt Rogers 2011-06-07 15:27:43 UTC
Created attachment 503516 [details]
client.py patch

Description of problem:

The regex in the python binding fails to account for colons in tags. So when attempting a Varbind on 'SNMPv2-SMI::enterprises.674.10892.1.300.10.1.11.1' it will be split into a "tag" of "SNMPv2-SMI" and an "iid" of "::enterprises.674.10892.1.300.10.1.11.1" which then fails in a get operation with a core dump.

Version-Release number of selected component (if applicable):

net-snmp-devel-5.5-31.el6.x86_64
net-snmp-5.5-31.el6.x86_64
net-snmp-python-5.5-31.el6.x86_64
net-snmp-libs-5.5-31.el6.x86_64
net-snmp-utils-5.5-31.el6.x86_64

Red Hat Enterprise Linux Server release 6.1 (Santiago)

Additional info:

The attached patch updates the regex to accommodate colons

Comment 3 Erinn Looney-Triggs 2011-07-29 20:47:53 UTC
My patch has been accepted upstream and applied to all net-snmp releases above 5.4. 

git commit c5a8464c42a94c250ee2dfa2a473109a734203d8

http://sourceforge.net/tracker/?func=detail&aid=3310375&group_id=12694&atid=312694

Please bring this into RHEL.

Comment 4 Jan Safranek 2011-08-01 11:44:58 UTC
(In reply to comment #3)
> My patch has been accepted upstream and applied to all net-snmp releases above
> 5.4. 
> 
> git commit c5a8464c42a94c250ee2dfa2a473109a734203d8
Well, it was me who accepted it upstream :)

> Please bring this into RHEL.
The bug is MODIFIED, which means it will be in next update unless something really bad happens here.

Comment 5 Erinn Looney-Triggs 2011-08-01 16:45:09 UTC
Sweet deal thanks for that. 

-Erinn

Comment 6 Jan Safranek 2011-08-11 12:01:39 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The netsnmp python module did not properly parse OID names which included name of MIBs 'like IF-MIB::ifTable'. In this update, regular expression for parsing OID names is fixed and the python module can properly parse names with names of MIBs.

Comment 9 errata-xmlrpc 2011-12-06 17:12:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1524.html


Note You need to log in before you can comment on or make changes to this bug.